import { jsx as _jsx } from "react/jsx-runtime";
import { createFrameworkProvider } from './create-framework-provider';
import { Suspense, useMemo } from 'react';
import { useModules } from '@equinor/fusion-framework-react-module';
export const Framework = (props) => {
    const { configure, fallback, parent, children } = props;
    //import modules from parent context
    const ref = useModules();
    const Component = useMemo(() => createFrameworkProvider(configure, parent !== null && parent !== void 0 ? parent : ref), [configure, ref, parent]);
    return (_jsx(Suspense, { fallback: fallback, children: _jsx(Component, { children: children }) }));
};
export default Framework;
//# sourceMappingURL=Framework.js.map